<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('payment_reports', function (Blueprint $table) {
            $table->id();       
            $table->string('transaction_id')->nullable();
            $table->string('payment_status')->nullable();
            $table->integer('user_id')->default(0);  
            $table->string('ref_id')->nullable();   
            $table->decimal('amount');
            $table->integer('method_type')->default(1);  
            $table->decimal('vat')->default(0); 
            $table->decimal('wallet_amount_used')->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('payment_reports');
    }
};
